petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscFunctionListGet

Gets an array the contains the entries in PetscFunctionList, this is used by help etc.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscFunctionListGet(PetscFunctionList list,const char ***array,int *n)

Not Collective Many br

### Input Parameter

list -list of types Many br

### Output Parameter

| array | - array of names Many br
| n | - length of array Many br

### Notes

This allocates the array so that must be freed. BUT the individual entries are Many brnot copied so should not be freed. Many br

Many br

### See Also

PetscFunctionListAdd(), PetscFunctionList

Level:developer
Location:src/sys/dll/reg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages